import java.io.*;
import java.util.*;
import java.awt.*;
import javax.swing.*;

public class View extends JPanel implements Observer
{
  private Model model;

  // Bob the Builder this shit
  public View(Model model, Handler handler)
  {
    // Hook up this observer so that it will be notified when the model
    // changes.
    this.model = model;
    model.addObserver(this);
    this.addMouseMotionListener(handler);
    this.addMouseListener(handler);
  }

  /**
  * Update with data from the model.
  */
  public void update(Object observable)
  {
    revalidate();
    repaint();
  }
}
